%define upstream_name    Devel-Hide
%define upstream_version 0.0015

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2
Epoch:      1

Summary:    Forces the unavailability of specified Perl modules (for testing)
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Devel/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Test::More) >= 0.820.0
BuildArch:  noarch

%description
Given a list of Perl modules/filenames, this module makes 'require' and
'use' statements fail (no matter the specified files/modules are installed
or not).

They _die_ with a message like:

    Can't locate Module/ToHide.pm (hidden)

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Mon Mar 21 2022 umeabot <umeabot> 1:0.1.500-2.mga9
+ Revision: 1815027
- Mageia 9 Mass Rebuild

* Mon Oct 04 2021 tv <tv> 1:0.1.500-1.mga9
+ Revision: 1749247
- update to 0.0015

* Thu Apr 29 2021 tv <tv> 1:0.1.400-1.mga9
+ Revision: 1720377
- update to 0.0014

* Mon Feb 17 2020 tv <tv> 1:0.1.300-1.mga8
+ Revision: 1536859
- update to 0.0013

* Sun Feb 16 2020 tv <tv> 1:0.1.200-1.mga8
+ Revision: 1530156
- update to 0.0012

* Fri Feb 14 2020 tv <tv> 1:0.1.100-1.mga8
+ Revision: 1517817
- update to 0.0011

* Wed Feb 12 2020 umeabot <umeabot> 1:0.1.0-3.mga8
+ Revision: 1503831
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 1:0.1.0-2.mga7
+ Revision: 1282798
- Mageia 7 Mass Rebuild

* Sat Jun 16 2018 tv <tv> 1:0.1.0-1.mga7
+ Revision: 1237234
- update to 0.0010

* Sun Jun 19 2016 pterjan <pterjan> 1:0.0.900-6.mga6
+ Revision: 1025508
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 1:0.0.900-5.mga6
+ Revision: 946193
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1:0.0.900-4.mga5
+ Revision: 744108
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1:0.0.900-3.mga5
+ Revision: 684319
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1:0.0.900-2.mga4
+ Revision: 526318
- Mageia 4 Mass Rebuild

* Mon Jun 03 2013 jquelin <jquelin> 1:0.0.900-1.mga4
+ Revision: 436619
- update to 0.0009

* Sun Jan 13 2013 umeabot <umeabot> 1:0.0.800-2.mga3
+ Revision: 365766
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 18 2011 jquelin <jquelin> 1:0.0.800-1.mga1
+ Revision: 22343
- cleaning spec file
- imported package perl-Devel-Hide

